Package org.eclipse.m2m.atl.engine.vm

# Class ASMInstructionWithOperand

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ASMInstruction
org.eclipse.m2m.atl.engine.vm.ASMInstructionWithOperand

public class ASMInstructionWithOperand extends ASMInstruction

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.ASMInstruction

`mnemonic`

## Constructor Summary

Constructors
Constructor
Description
`ASMInstructionWithOperand(String mnemonic, String operand)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOperand()`
`void`
`setOperand(String operand)`
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.ASMInstruction

`getMnemonic`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASMInstructionWithOperand

public ASMInstructionWithOperand(String mnemonic, String operand)

## Method Details

### getOperand

public String getOperand()

### setOperand

public void setOperand(String operand)

### toString

public String toString()

Overrides:
  `toString` in class `ASMInstruction`